scsi_eh_ready_devs
Prev | drivers/scsi/scsi_error.c | Next

## Name

scsi_eh_ready_devs — check device ready state and recover if not.

## Synopsis

`void scsi_eh_ready_devs (` | struct Scsi_Host * | shost,
| struct list_head * | work_q,
| struct list_head * | done_q`)`;

## Arguments

`shost`

  host to be recovered.

`work_q`

  list_head for pending commands.

`done_q`

  list_head for processed commands.

Prev | Up | Next
scsi_eh_get_sense | Home | scsi_eh_flush_done_q